/*
 *  OpenVPN-GUI -- A Windows GUI for OpenVPN.
 *
 *  Copyright (C) 2004 Mathias Sundman <mathias@nilings.se>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program (see the file COPYING included with this
 *  distribution); if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <stdio.h>

/* Define this to disable Change Password support */
// #define DISABLE_CHANGE_PASSWORD

#define GUI_NAME	"OpenVPN GUI"

/* Registry key for User Settings */
#define GUI_REGKEY_HKCU	"Software\\Nilings\\OpenVPN-GUI"

/* Registry key for Global Settings */
#define GUI_REGKEY_HKLM	"SOFTWARE\\OpenVPN-GUI"

#define MAX_CONFIGS		20	/* Max number of config-files to read. */
#define MAX_LOG_LINES		500	/* Max number of lines in LogWindow */
#define DEL_LOG_LINES		10	/* Number of lines to delete from LogWindow */



/* bool definitions */
#define bool int
#define true 1
#define false 0


/* clear an object */
#define CLEAR(x) memset(&(x), 0, sizeof(x))

/* snprintf with guaranteed null termination */
#define mysnprintf(out, args...) \
        { \
           snprintf (out, sizeof(out), args); \
           out [sizeof (out) - 1] = '\0'; \
        }


/* Show Message */
#define ShowMsg(caption, args...) \
        { \
           char x_msg[256]; \
           mysnprintf (x_msg, args); \
	   MessageBox(NULL, x_msg, caption, MB_OK | MB_SETFOREGROUND); \
        }

